org.apache.ant.compress.taskdefs

## Class Cpio.Format

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.ant.compress.taskdefs.Cpio.Format

- Enclosing class:
    Cpio

      public static class Cpio.Format
      extends org.apache.tools.ant.types.EnumeratedAttribute

  The supported cpio formats.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Cpio.Format` | `BINARY`
    `static Cpio.Format` | `NEW_ASCII`
    `static Cpio.Format` | `ODC`
    `static Cpio.Format` | `OLD_ASCII`

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Format()`
    `Format(java.lang.String v)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `short` | `getFormat()`
    `java.lang.String[]` | `getValues()`

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BINARY

          public static final Cpio.Format BINARY

    - #### OLD_ASCII

          public static final Cpio.Format OLD_ASCII

    - #### ODC

          public static final Cpio.Format ODC

    - #### NEW_ASCII

          public static final Cpio.Format NEW_ASCII

  - ### Constructor Detail

    - #### Format

          public Format(java.lang.String v)

    - #### Format

          public Format()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      Specified by:
        `getValues` in class `org.apache.tools.ant.types.EnumeratedAttribute`

    - #### getFormat

          public short getFormat()

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`